Login
[x]
Log in using an account from:
Fedora Account System
Red Hat Associate
Red Hat Customer
Or login using a Red Hat Bugzilla account
Forgot Password
Login:
Hide Forgot
Create an Account
Red Hat Bugzilla – Attachment 678031 Details for
Bug 894955
httpd 2.2.22 init script does not properly make use of the pid file
[?]
New
Simple Search
Advanced Search
My Links
Browse
Requests
Reports
Current State
Search
Tabular reports
Graphical reports
Duplicates
Other Reports
User Changes
Plotly Reports
Bug Status
Bug Severity
Non-Defaults
|
Product Dashboard
Help
Page Help!
Bug Writing Guidelines
What's new
Browser Support Policy
5.0.4.rh83 Release notes
FAQ
Guides index
User guide
Web Services
Contact
Legal
This site requires JavaScript to be enabled to function correctly, please enable it.
[patch]
use the pidfile like rhel6
rhel_6_compatible_httpd_init_script.patch (text/plain), 4.53 KB, created by
Brenton Leanhardt
on 2013-01-14 06:53:42 UTC
(
hide
)
Description:
use the pidfile like rhel6
Filename:
MIME Type:
Creator:
Brenton Leanhardt
Created:
2013-01-14 06:53:42 UTC
Size:
4.53 KB
patch
obsolete
>--- httpd.orig 2013-01-14 01:46:52.122938140 -0500 >+++ httpd 2013-01-14 01:46:59.904706339 -0500 >@@ -3,12 +3,22 @@ > # httpd Startup script for the Apache HTTP Server > # > # chkconfig: - 85 15 >-# description: Apache is a World Wide Web server. It is used to serve \ >-# HTML files and CGI. >+# description: The Apache HTTP Server is an efficient and extensible \ >+# server implementing the current HTTP standards. > # processname: httpd > # config: /etc/httpd/conf/httpd.conf > # config: /etc/sysconfig/httpd >-# pidfile: /var/run/httpd.pid >+# pidfile: /var/run/httpd/httpd.pid >+# >+### BEGIN INIT INFO >+# Provides: httpd >+# Required-Start: $local_fs $remote_fs $network $named >+# Required-Stop: $local_fs $remote_fs $network >+# Should-Start: distcache >+# Short-Description: start and stop Apache HTTP Server >+# Description: The Apache HTTP Server is an extensible server >+# implementing the current HTTP standards. >+### END INIT INFO > > # Source function library. > . /etc/rc.d/init.d/functions >@@ -32,24 +42,25 @@ > apachectl=/usr/sbin/apachectl > httpd=${HTTPD-/usr/sbin/httpd} > prog=httpd >-pidfile=${PIDFILE-/var/run/httpd.pid} >+pidfile=${PIDFILE-/var/run/httpd/httpd.pid} > lockfile=${LOCKFILE-/var/lock/subsys/httpd} > RETVAL=0 >+STOP_TIMEOUT=${STOP_TIMEOUT-10} > > # check for 1.3 configuration > check13 () { >- CONFFILE=/etc/httpd/conf/httpd.conf >- GONE="(ServerType|BindAddress|Port|AddModule|ClearModuleList|" >- GONE="${GONE}AgentLog|RefererLog|RefererIgnore|FancyIndexing|" >- GONE="${GONE}AccessConfig|ResourceConfig)" >- if LANG=C grep -Eiq "^[[:space:]]*($GONE)" $CONFFILE; then >- echo >- echo 1>&2 " Apache 1.3 configuration directives found" >- echo 1>&2 " please read /usr/share/doc/httpd-2.2.22/migration.html" >- failure "Apache 1.3 config directives test" >- echo >- exit 1 >- fi >+ CONFFILE=/etc/httpd/conf/httpd.conf >+ GONE="(ServerType|BindAddress|Port|AddModule|ClearModuleList|" >+ GONE="${GONE}AgentLog|RefererLog|RefererIgnore|FancyIndexing|" >+ GONE="${GONE}AccessConfig|ResourceConfig)" >+ if LANG=C grep -Eiq "^[[:space:]]*($GONE)" $CONFFILE; then >+ echo >+ echo 1>&2 " Apache 1.3 configuration directives found" >+ echo 1>&2 " please read /usr/share/doc/httpd-2.2.22/migration.html" >+ failure "Apache 1.3 config directives test" >+ echo >+ exit 1 >+ fi > } > > # The semantics of these two functions differ from the way apachectl does >@@ -59,19 +70,19 @@ > start() { > echo -n $"Starting $prog: " > check13 || exit 1 >- LANG=$HTTPD_LANG daemon $httpd $OPTIONS >+ LANG=$HTTPD_LANG daemon --pidfile=${pidfile} $httpd $OPTIONS > RETVAL=$? > echo > [ $RETVAL = 0 ] && touch ${lockfile} > return $RETVAL > } > >-# When stopping httpd a delay of >10 second is required before SIGKILLing the >-# httpd parent; this gives enough time for the httpd parent to SIGKILL any >-# errant children. >+# When stopping httpd, a delay (of default 10 second) is required >+# before SIGKILLing the httpd parent; this gives enough time for the >+# httpd parent to SIGKILL any errant children. > stop() { > echo -n $"Stopping $prog: " >- killproc -d 10 $httpd >+ killproc -p ${pidfile} -d ${STOP_TIMEOUT} $httpd > RETVAL=$? > echo > [ $RETVAL = 0 ] && rm -f ${lockfile} ${pidfile} >@@ -79,12 +90,16 @@ > reload() { > echo -n $"Reloading $prog: " > if ! LANG=$HTTPD_LANG $httpd $OPTIONS -t >&/dev/null; then >- RETVAL=$? >+ RETVAL=6 > echo $"not reloading due to configuration syntax error" > failure $"not reloading $httpd due to configuration syntax error" > else >- killproc $httpd -HUP >+ # Force LSB behaviour from killproc >+ LSB=1 killproc -p ${pidfile} $httpd -HUP > RETVAL=$? >+ if [ $RETVAL -eq 7 ]; then >+ failure $"httpd shutdown" >+ fi > fi > echo > } >@@ -98,20 +113,20 @@ > stop > ;; > status) >- status $httpd >+ status -p ${pidfile} $httpd > RETVAL=$? > ;; > restart) > stop > start > ;; >- condrestart) >- if [ -f ${pidfile} ] ; then >+ condrestart|try-restart) >+ if status -p ${pidfile} $httpd >&/dev/null; then > stop > start > fi > ;; >- reload) >+ force-reload|reload) > reload > ;; > graceful|help|configtest|fullstatus) >@@ -119,8 +134,8 @@ > RETVAL=$? > ;; > *) >- echo $"Usage: $prog {start|stop|restart|condrestart|reload|status|fullstatus|graceful|help|configtest}" >- exit 1 >+ echo $"Usage: $prog {start|stop|restart|condrestart|try-restart|force-reload|reload|status|fullstatus|graceful|help|configtest}" >+ RETVAL=2 > esac > > exit $RETVAL
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Diff
View Attachment As Raw
Actions:
View
|
Diff
Attachments on
bug 894955
: 678031